GLS ShipIT 4.0.f7 GLS ShipIT - SOAP services

Public Member Functions | Protected Attributes | List of all members
eu.glsgroup.fpcs.datatypes.soap.v1.parcelshop.Hours Class Reference

## Public Member Functions
XMLGregorianCalendar | getFrom ()
void | setFrom (XMLGregorianCalendar value)
XMLGregorianCalendar | getTo ()
void | setTo (XMLGregorianCalendar value)

## Protected Attributes
XMLGregorianCalendar | from
XMLGregorianCalendar | to

## Detailed Description

Hour from -> to (format HHMM or HHMMSS)

Java class for Hours complex type.

The following schema fragment specifies the expected content contained within this class.

    <complexType name="Hours">
      <complexContent>
        <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
          <sequence>
            <element name="From" type="{http://www.w3.org/2001/XMLSchema}time"/>
            <element name="To" type="{http://www.w3.org/2001/XMLSchema}time"/>
          </sequence>
        </restriction>
      </complexContent>
    </complexType>

Definition at line 40 of file fpcs/datatypes/soap/v1/parcelshop/Hours.java.

## Member Function Documentation

## ◆ getFrom()

XMLGregorianCalendar eu.glsgroup.fpcs.datatypes.soap.v1.parcelshop.Hours.getFrom | ( |  | ) |

Gets the value of the from property.

Returns
  possible object is XMLGregorianCalendar

Definition at line 57 of file fpcs/datatypes/soap/v1/parcelshop/Hours.java.

## ◆ getTo()

XMLGregorianCalendar eu.glsgroup.fpcs.datatypes.soap.v1.parcelshop.Hours.getTo | ( |  | ) |

Gets the value of the to property.

Returns
  possible object is XMLGregorianCalendar

Definition at line 81 of file fpcs/datatypes/soap/v1/parcelshop/Hours.java.

## ◆ setFrom()

void eu.glsgroup.fpcs.datatypes.soap.v1.parcelshop.Hours.setFrom | ( | XMLGregorianCalendar | value | ) |

Sets the value of the from property.

Parameters

  value | allowed object is XMLGregorianCalendar

Definition at line 69 of file fpcs/datatypes/soap/v1/parcelshop/Hours.java.

## ◆ setTo()

void eu.glsgroup.fpcs.datatypes.soap.v1.parcelshop.Hours.setTo | ( | XMLGregorianCalendar | value | ) |

Sets the value of the to property.

Parameters

  value | allowed object is XMLGregorianCalendar

Definition at line 93 of file fpcs/datatypes/soap/v1/parcelshop/Hours.java.

## Member Data Documentation

## ◆ from

XMLGregorianCalendar eu.glsgroup.fpcs.datatypes.soap.v1.parcelshop.Hours.from
| protected

Definition at line 44 of file fpcs/datatypes/soap/v1/parcelshop/Hours.java.

## ◆ to

XMLGregorianCalendar eu.glsgroup.fpcs.datatypes.soap.v1.parcelshop.Hours.to
| protected

Definition at line 47 of file fpcs/datatypes/soap/v1/parcelshop/Hours.java.

The documentation for this class was generated from the following file:

- fpcs/datatypes/soap/v1/parcelshop/Hours.java